#!/usr/bin/sh

usage()
{
echo "Usage: $0 database schema instance_password instance_root_directory "

exit 1
}

if [ $# != 4 ]; then

	echo invalid arguments
     	usage
fi

DATABASE=$1
SCHEMA=$2
PASSWORD=$3
INSTHOME=$4

WCS_HOME=/Qibm/ProdData/WebCommerce
WASDIR=/qibm/ProdData/WebASAdv4/java/ext

WCLOGDIR=${INSTHOME}/logs

LOG=${WCLOGDIR}/updatedb_iseries



INFILE1=${WCS_HOME}/schema/xml/profileSample.xml
INFILE2=${WCLOGDIR}/profileSampleBootStrap.xml

 
system "RESWCSID DATABASE(${DATABASE}) SCHEMA(${SCHEMA}) PASSWD(${PASSWORD}) INSTROOT('${INSTHOME}') INFILE('${INFILE1}') OUTFILE('${INFILE2}') METHOD(*MIX) "                                                                    
                                                                                
system "LODWCSDTA DATABASE(${DATABASE}) SCHEMA(${SCHEMA}) PASSWD(${PASSWORD}) INSTROOT('${INSTHOME}') INFILE('${INFILE2}') METHOD(*SQL) COMMITNUM(100)" 

