#!/bin/ksh

a=`dirname $0`
. $a/setenv.sh

DATABASE=$1
USER=$2
PASSWORD=$3
SCHEMAOWNER=$4
SCHEMA=$WCS_HOME/schema
LOG=$WCS_HOME/logs/profileSampleCreatedb.log

db2 connect to $DATABASE user $USER using $PASSWORD > $LOG 2>&1
db2 set current schema $SCHEMAOWNER >> $LOG 2>&1
db2 -tvf $SCHEMA/db2/profileSample.schema.sql >> $LOG 2>&1
db2 terminate >> $LOG 2>&1
