#!/bin/ksh

BINDIR=`dirname $0`
. $BINDIR/setenv.sh

DATABASE=$1
USER=$2
PASSWORD=$3
SCHEMAOWNER=$4
ERRORLOGDIR=$WCS_HOME/logs
WCALOGGERCONFIGFILE=$WCS_HOME/xml/loader/WCALoggerConfig.xml
SCHEMA=$WCS_HOME/schema
LOG=$WCS_HOME/logs/profileSamplePopulatedb.log

. $BINDIR/setdbenv.db2.sh

cd $WCS_HOME/schema/xml

${JAVA_EXE?} -Dcom.ibm.wca.logging.configFile=$WCALOGGERCONFIGFILE -Dcom.ibm.wcm.ErrorReporterDir=$ERRORLOGDIR -classpath $CLASSPATH $IDRESOLVER -dbname $DATABASE -dbuser $USER -dbpwd $PASSWORD -infile $SCHEMA/xml/profileSample.xml -outfile $SCHEMA/xml/profileSampleBootStrap.xml -method mixed -propfile $WCS_HOME/properties/ACIdKeys -schemaname $SCHEMAOWNER > $LOG 2>&1
${JAVA_EXE?} -Dcom.ibm.wca.logging.configFile=$WCALOGGERCONFIGFILE -Dcom.ibm.wcm.ErrorReporterDir=$ERRORLOGDIR -classpath $CLASSPATH $MASSLOADER -infile $SCHEMA/xml/profileSample.xml -dbname $DATABASE -dbuser $USER -dbpwd $PASSWORD -method sqlimport -commitcount 100 -schemaname $SCHEMAOWNER >> $LOG 2>&1
